CREATE TABLE ar_upd_bank_accounts (
    BANKACCT_UPLOAD_ID                NUMBER(18, 0),
    BATCH_ID                          NUMBER(18, 0),
    CUST_ORIG_SYSTEM                  VARCHAR2(120)    NOT NULL,
    ORIG_SOURCE_SYSTEM_NAME           VARCHAR2(320),
    CUST_ORIG_SYSTEM_REFERENCE        VARCHAR2(960)    NOT NULL,
    CUST_SITE_ORIG_SYS_REF            VARCHAR2(960),
    ACCOUNT_NUMBER                    VARCHAR2(120),
    PARTY_SITE_NUMBER                 VARCHAR2(120),
    COUNTRY                           VARCHAR2(8)      NOT NULL,
    BANK_NAME                         VARCHAR2(240)    NOT NULL,
    BANK_NUMBER                       VARCHAR2(120),
    BANK_ACCOUNT_NUMBER               VARCHAR2(120)    NOT NULL,
    BANK_ACCOUNT_NAME                 VARCHAR2(320)    NOT NULL,
    BANK_ACCOUNT_PRIMARY_INDICATOR    VARCHAR2(4)      NOT NULL,
    BANK_ACCOUNT_FROM_DATE            DATE         ,
    BANK_ACCOUNT_CURRENCY             VARCHAR2(60) ,
    BANK_ACCOUNT_DESCRIPTION          VARCHAR2(960),
    BANK_ACCOUNT_CHECK_DIGITS         VARCHAR2(120),
    BRANCH_NAME                       VARCHAR2(240),
    BRANCH_NUMBER                     VARCHAR2(100),
    BANK_BRANCH_EFT_USER_NUMBER       VARCHAR2(120),
    ATTRIBUTE_CATEGORY                VARCHAR2(120),
    ATTRIBUTE1                        VARCHAR2(600),
    ATTRIBUTE2                        VARCHAR2(600),
    ATTRIBUTE3                        VARCHAR2(600),
    ATTRIBUTE4                        VARCHAR2(600),
    ATTRIBUTE5                        VARCHAR2(600),
    ATTRIBUTE6                        VARCHAR2(600),
    ATTRIBUTE7                        VARCHAR2(600),
    ATTRIBUTE8                        VARCHAR2(600),
    ATTRIBUTE9                        VARCHAR2(600),
    ATTRIBUTE10                       VARCHAR2(600),
    ATTRIBUTE11                       VARCHAR2(600),
    ATTRIBUTE12                       VARCHAR2(600),
    ATTRIBUTE13                       VARCHAR2(600),
    ATTRIBUTE14                       VARCHAR2(600),
    ATTRIBUTE15                       VARCHAR2(600),
    LOAD_REQUEST_ID                   NUMBER(18, 0),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                        NUMBER(18, 0),
    UPLOAD_REQUEST_ID                 NUMBER(18, 0),
    UPLOAD_STATUS                     VARCHAR2(120),
    FILE_RECORD_NUM                   NUMBER(10, 0),
    BANKACCT_UPLOAD_ID                NUMBER(18, 0),
    BATCH_ID                          NUMBER(18, 0),
    CUST_ORIG_SYSTEM                  VARCHAR2(120)    NOT NULL,
    ORIG_SOURCE_SYSTEM_NAME           VARCHAR2(320),
    CUST_ORIG_SYSTEM_REFERENCE        VARCHAR2(960)    NOT NULL,
    CUST_SITE_ORIG_SYS_REF            VARCHAR2(960),
    ACCOUNT_NUMBER                    VARCHAR2(120),
    PARTY_SITE_NUMBER                 VARCHAR2(120),
    COUNTRY                           VARCHAR2(8)      NOT NULL,
    BANK_NAME                         VARCHAR2(240)    NOT NULL,
    BANK_NUMBER                       VARCHAR2(120),
    BANK_ACCOUNT_NUMBER               VARCHAR2(120)    NOT NULL,
    BANK_ACCOUNT_NAME                 VARCHAR2(320)    NOT NULL,
    BANK_ACCOUNT_PRIMARY_INDICATOR    VARCHAR2(4)      NOT NULL,
    BANK_ACCOUNT_FROM_DATE            DATE         ,
    BANK_ACCOUNT_CURRENCY             VARCHAR2(60) ,
    BANK_ACCOUNT_DESCRIPTION          VARCHAR2(960),
    BANK_ACCOUNT_CHECK_DIGITS         VARCHAR2(120),
    BRANCH_NAME                       VARCHAR2(240),
    BRANCH_NUMBER                     VARCHAR2(100),
    BANK_BRANCH_EFT_USER_NUMBER       VARCHAR2(120),
    ATTRIBUTE_CATEGORY                VARCHAR2(120),
    ATTRIBUTE1                        VARCHAR2(600),
    ATTRIBUTE2                        VARCHAR2(600),
    ATTRIBUTE3                        VARCHAR2(600),
    ATTRIBUTE4                        VARCHAR2(600),
    ATTRIBUTE5                        VARCHAR2(600),
    ATTRIBUTE6                        VARCHAR2(600),
    ATTRIBUTE7                        VARCHAR2(600),
    ATTRIBUTE8                        VARCHAR2(600),
    ATTRIBUTE9                        VARCHAR2(600),
    ATTRIBUTE10                       VARCHAR2(600),
    ATTRIBUTE11                       VARCHAR2(600),
    ATTRIBUTE12                       VARCHAR2(600),
    ATTRIBUTE13                       VARCHAR2(600),
    ATTRIBUTE14                       VARCHAR2(600),
    ATTRIBUTE15                       VARCHAR2(600),
    LOAD_REQUEST_ID                   NUMBER(18, 0),
    CREATED_BY                        VARCHAR2(256)    NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                        NUMBER(18, 0),
    UPLOAD_REQUEST_ID                 NUMBER(18, 0),
    UPLOAD_STATUS                     VARCHAR2(120),
    FILE_RECORD_NUM                   NUMBER(10, 0),
    CONSTRAINT pk_ar_upd_bank_accounts PRIMARY KEY (BANKACCT_UPLOAD_ID, BANKACCT_UPLOAD_ID)
);
